glibmm 2.52.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Glib::Threads::RWLock::ReaderLock Class Reference
Threads

Utility class for exception-safe locking of read/write locks. More...

`#include <glibmm/threads.h>`

## Public Member Functions
| ReaderLock (RWLock& rwlock)
| ReaderLock (RWLock& rwlock, NotLock)
| ReaderLock (RWLock& rwlock, TryLock)
| ReaderLock (const RWLock::ReaderLock&)=delete
RWLock::ReaderLock& | operator= (const RWLock::ReaderLock&)=delete
| ~ReaderLock ()
void | acquire ()
bool | try_acquire ()
void | release ()
bool | locked () const

## Detailed Description

Utility class for exception-safe locking of read/write locks.

Deprecated:
  Please use std::lock_guard or std::unique_lock instead, with std::shared_timed_mutex.

## Constructor & Destructor Documentation

Glib::Threads::RWLock::ReaderLock::ReaderLock | ( | RWLock& | rwlock | ) |
| inline explicit

Glib::Threads::RWLock::ReaderLock::ReaderLock | ( | RWLock& | rwlock,
|  | NotLock |
| ) |  |
| inline

Glib::Threads::RWLock::ReaderLock::ReaderLock | ( | RWLock& | rwlock,
|  | TryLock |
| ) |  |
| inline

Glib::Threads::RWLock::ReaderLock::ReaderLock | ( | const RWLock::ReaderLock& |  | ) |
| delete

Glib::Threads::RWLock::ReaderLock::~ReaderLock | ( |  | ) |
| inline

## Member Function Documentation

void Glib::Threads::RWLock::ReaderLock::acquire | ( |  | ) |
| inline

bool Glib::Threads::RWLock::ReaderLock::locked | ( |  | ) | const
| inline

RWLock::ReaderLock& Glib::Threads::RWLock::ReaderLock::operator= | ( | const RWLock::ReaderLock& |  | ) |
| delete

void Glib::Threads::RWLock::ReaderLock::release | ( |  | ) |
| inline

bool Glib::Threads::RWLock::ReaderLock::try_acquire | ( |  | ) |
| inline